%define modname dbx
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 16_%{modname}.ini

Summary:	DBX extension module for PHP
Name:		php-%{modname}
Version:	1.1.2
Release:	%mkrel 4
Group:		Development/PHP
URL:		http://www.php.net
License:	PHP License
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Source1:	%{modname}.ini
BuildRequires:	php-devel >= 3:5.2.0
Epoch:		1

%description
The dbx module is a database abstraction layer. The dbx functions
allow you to access all supported databases using a single calling
convention. The dbx-functions themselves do not interface directly
to the databases, but interface to the modules that are used to
support these databases. The currently supported databases are
MySQL, ODBC, Oracle (oci8), MS SQL Server, PostgreSQL, FrontBase,
Sybase-CT and SQLite. The module-dependencies are only for the
databases you wish to use.

%prep

%setup -q -n %{modname}-%{version}
[ "../package.xml" != "/" ] && mv ../package.xml .


cp %{SOURCE1} %{inifile}

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS howto_extend_dbx.html package.xml tests
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog

* Wed Jan 30 2013 oden <oden> 1:1.1.2-4.mga3
+ Revision: 393256
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1:1.1.2-3.mga3
+ Revision: 375732
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:1.1.2-2.mga2
+ Revision: 223877
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 1:1.1.2-1.mga2
+ Revision: 185141
- upgrade to 1.1.2
  dropped Patch0: dbx-1.1.0-php530.diff

* Sun Feb 06 2011 spuhler <spuhler> 1:1.1.0-34.mga1
+ Revision: 47801
- removed buildroot definition from .spec
- imported package php-dbx

